[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: dont inspect unfinished logs

Holger Levsen holger at moszumanska.debian.org
Thu Mar 19 14:36:17 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 76be21e6a365d74265904fb6e0f9f678e7adad21
Author: Holger Levsen <holger at layer-acht.org>
Date:   Thu Mar 19 15:34:08 2015 +0100

    reproducible: dont inspect unfinished logs
---
 bin/reproducible_maintainance.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/bin/reproducible_maintainance.sh b/bin/reproducible_maintainance.sh
index 7c91dc6..a473da1 100755
--- a/bin/reproducible_maintainance.sh
+++ b/bin/reproducible_maintainance.sh
@@ -87,8 +87,9 @@ fi
 
 # find failed builds due to network problems and reschedule them
 # only grep through the last 5h (300 minutes) of builds...
+# (ignore "*None.rbuild.log" because these are build which were just started)
 # this job runs every 4h
-FAILED_BUILDS=$(find /var/lib/jenkins/userContent/rbuild -type f ! -mmin +300 -exec egrep -l -e "E: Failed to fetch.*Connection failed" -e "E: Failed to fetch.*Size mismatch" {} \;)
+FAILED_BUILDS=$(find /var/lib/jenkins/userContent/rbuild -type f ! -name "*None.rbuild.log" ! -mmin +300 -exec egrep -l -e "E: Failed to fetch.*Connection failed" -e "E: Failed to fetch.*Size mismatch" {} \; || true)
 if [ ! -z "$FAILED_BUILDS" ] ; then
 	echo
 	echo "Warning: the following failed builds have been found"

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list